Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class DefaultMenuLayout

    java.lang.Object
      |
      +--javax.swing.BoxLayout
            |
            +--javax.swing.plaf.basic.DefaultMenuLayout

All Implemented Interfaces:
  LayoutManager, LayoutManager2, Serializable, UIResource

public class DefaultMenuLayout
extends BoxLayout
implements UIResource

The default layout manager for Popup menus and menubars. This class is an extension of BoxLayout which adds the UIResource tag so that plauggable L&Fs can distinguish it from user-installed layout managers on menus.

Field Summary

Fields inherited from class javax.swing.BoxLayout
`LINE_AXIS, PAGE_AXIS, X_AXIS, Y_AXIS`

Constructor Summary
`DefaultMenuLayout(Container target, int axis)`

Method Summary
`Dimension` | `preferredLayoutSize(Container target)` Returns the preferred dimensions for this layout, given the components in the specified target container.

Methods inherited from class javax.swing.BoxLayout
`addLayoutComponent, addLayoutComponent, getLayoutAlignmentX, getLayoutAlignmentY, invalidateLayout, layoutContainer, maximumLayoutSize, minimumLayoutSize, removeLayoutComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMenuLayout

    public DefaultMenuLayout(Container target,
                             int axis)

Method Detail

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container target)

  Description copied from class: `BoxLayout`
  Returns the preferred dimensions for this layout, given the components in the specified target container.

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`
  Overrides:
    `preferredLayoutSize` in class `BoxLayout`
  Parameters:
    `target` - the container that needs to be laid out
  Returns:
    the dimensions >= 0 && <= Integer.MAX_VALUE
  See Also:
    `Container`, `BoxLayout.minimumLayoutSize(java.awt.Container)`, `BoxLayout.maximumLayoutSize(java.awt.Container)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.